Package org.opensaml.saml.saml2.core.impl

# Class AuthnQueryImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl
org.opensaml.saml.saml2.core.impl.SubjectQueryImpl
org.opensaml.saml.saml2.core.impl.AuthnQueryImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `AuthnQuery`, `RequestAbstractType`, `SubjectQuery`, `SignableXMLObject`

public class AuthnQueryImpl extends SubjectQueryImpl implements AuthnQuery
Concrete implementation of `AuthnQuery`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private RequestedAuthnContext`
`requestedAuthnContext`
RequestedAuthnContext child element.
`private String`
`sessionIndex`
SessionIndex attribute.

### Fields inherited from interface org.opensaml.saml.saml2.core.AuthnQuery

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SESSION_INDEX_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, TYPE_LOCAL_NAME, TYPE_NAME, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.core.SubjectQuery

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthnQueryImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`RequestedAuthnContext`
`getRequestedAuthnContext()`
Gets the RequestedAuthnContext of this request.
`String`
`getSessionIndex()`
Gets the SessionIndex of this request.
`void`
`setRequestedAuthnContext(RequestedAuthnContext newRequestedAuthnContext)`
Sets the RequestedAuthnContext of this request.
`void`
`setSessionIndex(String newSessionIndex)`
Sets the SessionIndex of this request.

### Methods inherited from class org.opensaml.saml.saml2.core.impl.SubjectQueryImpl

`getSubject, setSubject`

### Methods inherited from class org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignatureReferenceID, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.core.SubjectQuery

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### sessionIndex

@Nullable private String sessionIndex
SessionIndex attribute.

### requestedAuthnContext

@Nullable private RequestedAuthnContext requestedAuthnContext
RequestedAuthnContext child element.

## Constructor Details

### AuthnQueryImpl

protected AuthnQueryImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getSessionIndex

@Nullable public String getSessionIndex()
Gets the SessionIndex of this request.

Specified by:
  `getSessionIndex` in interface `AuthnQuery`
Returns:
  the SessionIndex of this request

### setSessionIndex

public void setSessionIndex(@Nullable String newSessionIndex)
Sets the SessionIndex of this request.

Specified by:
  `setSessionIndex` in interface `AuthnQuery`
Parameters:
  `newSessionIndex` - the SessionIndex of this request

### getRequestedAuthnContext

@Nullable public RequestedAuthnContext getRequestedAuthnContext()
Gets the RequestedAuthnContext of this request.

Specified by:
  `getRequestedAuthnContext` in interface `AuthnQuery`
Returns:
  the RequestedAuthnContext of this request

### setRequestedAuthnContext

public void setRequestedAuthnContext(@Nullable RequestedAuthnContext newRequestedAuthnContext)
Sets the RequestedAuthnContext of this request.

Specified by:
  `setRequestedAuthnContext` in interface `AuthnQuery`
Parameters:
  `newRequestedAuthnContext` - the RequestedAuthnContext of this request

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `SubjectQueryImpl`
Returns:
  ordered list of child elements